<!-- PROJECT LOGO -->
<br />
<div align="center">

  <h3 align="center">A Stop-Watch</h3>

  <p align="center">
    <a href="https://abhi-stopwatch-app.herokuapp.com/">View Demo</a> | <a href="https://github.com/abhishekpawan/stopwatch/issues">Report Bug</a>
  </p>
</div>


</p>


<!-- ABOUT THE PROJECT -->
# About The Project

A fully functioning Stop-Watch made with React.

### Basic Functionality of this project:

- Start button to start the stopwatch, 
- A Lap button to create a lap, 
- A Reset button to reset the timer and it is applicable only when the stopwatch is paused, 
- A Stop button, to stop/pause the timer.

## 🏗️: Built With

- React
- HTML
- JS
- CSS


<!-- GETTING STARTED -->
## Installation

### Clone the repo
   ```sh
   git clone https://github.com/abhishekpawan/stopwatch.git
   ```
### To Install all the dependencies

```
npm install
```
### Start Project

```
npm start
```

<!-- CONTRIBUTING -->
## Contributing

Contributions are what make the open source community such an amazing place to learn, inspire, and create. Any contributions you make are **greatly appreciated**.

1. Fork the Project
2. Create your Feature Branch (`git checkout -b feature/AmazingFeature`)
3. Commit your Changes (`git commit -m 'Add some AmazingFeature'`)
4. Push to the Branch (`git push origin feature/AmazingFeature`)
5. Open a Pull Request


<!-- LICENSE -->
## License

Distributed under the MIT License. See `LICENSE.txt` for more information.

<!-- CONTACT -->
## Contact

##### Check my portfolio: [abhishekpawan.me](https://abhishekpawan.me) 😁
##### LinkedIn: [Abhishek Pawan](https://linkedin.com/in/abhishekpawan)
##### Twitter: [@non_altruistic](https://twitter.com/non_altruistic)
##### Mail: abhishekpawan297@gmail.com

### Made with my love of development ❤


